local mod
    for _, m in pairs(BLT.Mods:Mods()) do
        if m:GetName() == "LMG Steelsights v0.62" then
            mod = m
            break
        end
    end

Hooks:PostHook( WeaponFactoryTweakData, "init", "MG5ModInit", function(self)
	
	self.parts.wpn_fps_lmg_mg5_s_strap.adds = {"wpn_fps_lmg_mg5_stock"}
	
	self.parts.wpn_fps_lmg_mg5_mag.bullet_objects = {prefix = "g_bullet_", amount = 5}
	
	self.parts.wpn_fps_lmg_mg5_o_specter.adds = {"wpn_fps_lmg_mg5_o_specter_lens", "wpn_fps_lmg_mg5_o_specter_reticle"}
	

--check compatibility with mod that alter bipod, otherwise, use vanilla bipod arrangement
if BeardLib.Utils:FindMod("Improved Bipods") then
	self.wpn_fps_lmg_mg5.override = {
		wpn_fps_upg_bp_lmg_lionbipod = { unit = "units/mods/weapons/wpn_fps_lmg_mg5_bipod/wpn_fps_lmg_mg5_bipod_improved" }
	}
else
	self.wpn_fps_lmg_mg5.override = {
		wpn_fps_upg_bp_lmg_lionbipod = { unit = "units/mods/weapons/wpn_fps_lmg_mg5_bipod/wpn_fps_lmg_mg5_bipod_vanilla" }
	}
end


--check for LMG steelsight mod
if mod and mod:IsEnabled() then
	self.parts.wpn_fps_lmg_mg5_cover_ironsight.stance_mod = {
		wpn_fps_lmg_mg5 = {
			translation = Vector3(-0.125, -4, -3.125),
			rotation = Rotation(0, 0, 0)
		}
	}
	self.parts.wpn_fps_lmg_mg5_o_specter.stance_mod = {
		wpn_fps_lmg_mg5 = {
			translation = Vector3(-0.125, 0, -4),
			rotation = Rotation(0, 0, 0)
		}
	}
	self.parts.wpn_fps_lmg_mg5_o_specter.perks = {"scope"}
end


-- --straight foregrip anim [no matching and good-looking anim]
-- if self.parts.wpn_fps_lmg_mg5_fg_straight then
        -- self.parts.wpn_fps_lmg_mg5_fg_straight.weapon_hold_override = {
            -- bm_w_mg5 = "boot"
        -- }
    -- end

end )